// SingleDoc.h

///////////////////////////////////////////////////////////////////////
// Класс CFigure
// Класс определяет геометрическую фигуру
class CFigure
{
public:
	// Координаты центра фигуры
	CPoint	xyFigCenter;

	// Тип фигуры: 'E' - оокружность, 'R' - кволрат
	char	cType;
};

////////////////////////////////////////////////////////////////////////
// Класс CSingleDoc
class CSingleDoc : public CDocument
{
protected: 
	CSingleDoc();
	DECLARE_DYNCREATE(CSingleDoc)

// Attributes
public:
   // Массив, в котором записаны параметры фигур документа
   CArray<CFigure, CFigure&> arrayFig;
// Operations
public:

// Overrides
	//{{AFX_VIRTUAL(CSingleDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSingleDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Методы, предназначенные для обработки сообщений
protected:
	//{{AFX_MSG(CSingleDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
